## org.codehaus.groovy.classgen
Class BytecodeSequence

This class repersents a sequence of BytecodeInstructions or ASTNodes. The evaluation is dpeending on the type of the visitor.

see:
  BytecodeInstruction

see:
  ASTNode

Field Summary
`List` | `instructions`

Constructor Summary
`BytecodeSequence(List instructions)`

Method Summary
`List` | `getInstructions()`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### BytecodeSequence

    public BytecodeSequence(List instructions)

Method Detail

### getInstructions

    public List getInstructions()

### visit

    public void visit(GroovyCodeVisitor visitor)